---------------------------------------------
-- Troyan2Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local Troyan2FrameWidth, Troyan2FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Troyan2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Troyan2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tr2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Troyan2Box,0,0,0,0)

Troyan2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Troyan2Box, 20, 0, 0, 0)

Troyan2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Troyan2Button.Visible = GuidesVisibility -- display or undisplay Button
    Troyan2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Troyan2Check.Text ==  "o" then
		Troyan2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Troyan2Button.Action = (function()
        return
            function()

                display_Troyan2 = not display_Troyan2
                if display_Troyan2 then  
                    Troyan2Frame.Visible = true                     
                    Troyan2Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Troyan2Frame.Visible = false                   
                    Troyan2Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
Troyan2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Troyan2FrameWidth)/2, height-Troyan2FrameHeight-2, (width-Troyan2FrameWidth)/2, 2)

 Troyan2Frame.Customdraw = function(this) 

            if Troyan2_firstTickDone then
            if not(Troyan2CloseButtonDone) then
                Troyan2CloseButtonDone = true
                makeCloseButton(Troyan2CloseButton, Troyan2Frame, Troyan2Button)
            end
            else
                Troyan2_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    Troyan2Frame:attach(screenBox, width-Troyan2FrameWidth-36, height-Troyan2FrameHeight-128-27, 36, 128+27) 
               else
                    Troyan2Frame:attach(screenBox, width-Troyan2FrameWidth-200, height-Troyan2FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Jupiter. Named Trojans-2:"))			
end
--====================
-- Подключение команд 
--====================
tr2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epeigeus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-1), 86, 5+14*1)

tr2101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epeigeus")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epeios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-2), 86, 5+14*2)

tr2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epeios")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epicles"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-3), 86, 5+14*3)

tr2103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epicles")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Epistrophos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-4), 86, 5+14*4)

tr2104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Epistrophos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Erichthonios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-5), 86, 5+14*5)

tr2105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Erichthonios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eteoneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-6), 86, 5+14*6)

tr2106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eteoneus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euaimon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-7), 86, 5+14*7)

tr2107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euaimon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euchenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-8), 86, 5+14*8)

tr2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euchenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eudorus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-9), 86, 5+14*9)

tr2109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eudorus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euforbo"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-10), 86, 5+14*10)

tr2110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euforbo")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()	
-------------------------------
tr2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eumaios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-11), 86, 5+14*11)

tr2111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eumaios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eumelos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-12), 86, 5+14*12)

tr2112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eumelos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-13), 86, 5+14*13)

tr2113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euneus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euphemus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-14), 86, 5+14*14)

tr2114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euphemus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Euryalos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-15), 86, 5+14*15)

tr2115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Euryalos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurybates"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-16), 86, 5+14*16)

tr2116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurybates")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurydamas"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-17), 86, 5+14*17)

tr2117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurydamas System/Eurydamas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurymachos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-18), 86, 5+14*18)

tr2118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurymachos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurymedon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-19), 86, 5+14*19)

tr2119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurymedon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurypylos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-20), 86, 5+14*20)

tr2120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurypylos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eurysaces"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-21), 86, 5+14*21)

tr2121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eurysaces")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Glaukos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-22), 86, 5+14*22)

tr2122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Glaukos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Gorgythion"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-23), 86, 5+14*23)

tr2123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Gorgythion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Guneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-24), 86, 5+14*24)

tr2124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Guneus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Gyas"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-25), 86, 5+14*25)

tr2125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Gyas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Halaesus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-26), 86, 5+14*26)

tr2126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Halaesus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Halitherses"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-27), 86, 5+14*27)

tr2127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Halitherses")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hektor"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-28), 86, 5+14*28)

tr2128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hektor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Helenos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-29), 86, 5+14*29)

tr2129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Helenos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Helicaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-30), 86, 5+14*30)

tr2130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Helicaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------
tr2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hiera"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-31), 86, 5+14*31)

tr2131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hiera")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
tr2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hiketaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-32), 86, 5+14*32)

tr2132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hiketaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hippasos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-33), 86, 5+14*33)

tr2133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hippasos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hippokoon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-34), 86, 5+14*34)

tr2134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hippokoon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hippolochos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-35), 86, 5+14*35)

tr2135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hippolochos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hippothous"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-36), 86, 5+14*36)

tr2136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hippothous")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hodios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-37), 86, 5+14*37)

tr2137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hodios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hyperenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-38), 86, 5+14*38)

tr2138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Hyperenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ialmenus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-39), 86, 5+14*39)

tr2139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ialmenus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iapyx"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 2, 2+14*(gg-40), 86, 5+14*40)

tr2140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iapyx")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(350)
            end
        end
    end) ()
-------------------------------
tr2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan2Frame, 2, 2+14*(gg-41), 86, 5+14*41)

tr2141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
tr2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iasus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-1), 2, 5+14*1)

tr2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iasus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Icarion"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-2), 2, 5+14*2)

tr2202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Icarion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Idaios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-3), 2, 5+14*3)

tr2203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Idaios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Idomeneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-4), 2, 5+14*4)

tr2204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Idomeneus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ilioneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-5), 2, 5+14*5)

tr2205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ilioneus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ilos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-6), 2, 5+14*6)

tr2206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Ilos")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
tr2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iphidamas"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-7), 2, 5+14*7)

tr2207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iphidamas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iphiklos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-8), 2, 5+14*8)

tr2208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iphiklos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Iphthime"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-9), 2, 5+14*9)

tr2209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Iphthime System/Iphthime")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Irus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-10), 2, 5+14*10)

tr2210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Irus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
tr2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kalchas"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-11), 2, 5+14*11)

tr2211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Kalchas")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
tr2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kapaneus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
tr2212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Kapaneus")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()	
-------------------------------
tr2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Khryses"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
tr2213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Khryses")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
tr2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Klonios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-14), 2, 5+14*14)

tr2214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Klonios")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Klythios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-15), 2, 5+14*15)

tr2215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Klythios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Koon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-16), 2, 5+14*16)

tr2216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Koon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
tr2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Krethon"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-17), 2, 5+14*17)

tr2217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Krethon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
tr2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Laertes"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-18), 2, 5+14*18)

tr2218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Laertes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lampos"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-19), 2, 5+14*19)

tr2219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lampos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Laocoon"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-20), 2, 5+14*20)

tr2220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Laocoon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Laomedon"))
    :movable(false)
    :active(true) 
  :attach(Troyan2Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

tr2221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Laomedon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leitos"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-22), 2, 5+14*22)

tr2222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leitos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leonteus"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

tr2223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leonteus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leucus"))        
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

tr2224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leucus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(20000)
            end
        end
    end) ()
-------------------------------
tr2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lycomedes"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-25), 2, 5+14*25)

tr2225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lycomedes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lykaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-26), 2, 5+14*26) 

tr2226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lykaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
--------------------------------
tr2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Makhaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

tr2227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Makhaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
--------------------------------
tr2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Medon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-28), 2, 5+14*28)

tr2228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Medon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()  
-------------------------------
tr2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Meges"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

tr2229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Meges")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mekistheus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

tr2230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mekistheus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Melanthios"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

tr2231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Melanthios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Memnon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

tr2232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Memnon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Menelaus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

tr2233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Menelaus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Menestheus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-34), 2, 5+14*34)

tr2234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Menestheus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mentor"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

tr2235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mentor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Meriones"))
    :movable(false)
    :active(true) 
   :attach(Troyan2Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

tr2236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Meriones")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Misenus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

tr2237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Misenus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mnesthus"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-38), 2, 5+14*38)

tr2238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mnesthus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
------------------------------- 
tr2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mydon"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-39), 2, 5+14*39)

tr2239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mydon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
tr2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nauplius"))
    :movable(false)
    :active(true) 
    :attach(Troyan2Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
tr2240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nauplius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()	
-------------------------------
tr2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan2Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
