---------------------------------------------
-- Troyan3Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local Troyan3FrameWidth, Troyan3FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Troyan3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Troyan3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tr3"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Troyan3Box,0,0,0,0)

Troyan3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Troyan3Box, 20, 0, 0, 0)

Troyan3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Troyan3Button.Visible = GuidesVisibility -- display or undisplay Button
    Troyan3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Troyan3Check.Text ==  "o" then
		Troyan3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Troyan3Button.Action = (function()
        return
            function()

                display_Troyan3 = not display_Troyan3
                if display_Troyan3 then  
                    Troyan3Frame.Visible = true                     
                    Troyan3Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Troyan3Frame.Visible = false                   
                    Troyan3Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
Troyan3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Troyan3FrameWidth)/2, height-Troyan3FrameHeight-2, (width-Troyan3FrameWidth)/2, 2)

 Troyan3Frame.Customdraw = function(this) 

            if Troyan3_firstTickDone then
            if not(Troyan3CloseButtonDone) then
                Troyan3CloseButtonDone = true
                makeCloseButton(Troyan3CloseButton, Troyan3Frame, Troyan3Button)
            end
            else
                Troyan3_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    Troyan3Frame:attach(screenBox, width-Troyan3FrameWidth-36, height-Troyan3FrameHeight-128-27, 36, 128+27) 
               else
                    Troyan3Frame:attach(screenBox, width-Troyan3FrameWidth-200, height-Troyan3FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Jupiter. Named Trojans-3:"))
end
--====================
-- Подключение команд 
--====================
tr3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Neleus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-1), 86, 5+14*1)

tr3101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neleus")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Neoptolemus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-2), 86, 5+14*2)

tr3102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neoptolemus")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nestor"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-3), 86, 5+14*3)

tr3103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nestor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nireus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-4), 86, 5+14*4)

tr3104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nireus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oceax"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-5), 86, 5+14*5)

tr3105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oceax")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Odysseus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-6), 86, 5+14*6)

tr3106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Odysseus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oenomaos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-7), 86, 5+14*7)

tr3107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oenomaos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oicles"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-8), 86, 5+14*8)

tr3108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oicles")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oileus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-9), 86, 5+14*9)

tr3109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oileus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oineus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-10), 86, 5+14*10)

tr3110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Oineus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()	
-------------------------------
tr3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ophelestes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-11), 86, 5+14*11)

tr3111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ophelestes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Opites"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-12), 86, 5+14*12)

tr3112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Opites")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orestes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-13), 86, 5+14*13)

tr3113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orestes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orsilocus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-14), 86, 5+14*14)

tr3114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orsilocus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Orus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-15), 86, 5+14*15)

tr3115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Orus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Palamedes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-16), 86, 5+14*16)

tr3116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Palamedes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Palinurus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-17), 86, 5+14*17)

tr3117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Palinurus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Palmys"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-18), 86, 5+14*18)

tr3118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Palmys")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pandarus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-19), 86, 5+14*19)

tr3119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pandarus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pandion"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-20), 86, 5+14*20)

tr3120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pandion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Panthoos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-21), 86, 5+14*21)

tr3121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Panthoos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------
tr3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Paris"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-22), 86, 5+14*22)

tr3122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Paris")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Patroclus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-23), 86, 5+14*23)

tr3123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Patroclus-Menoetius/Patroclus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
tr3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peiraios"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-24), 86, 5+14*24)

tr3124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peiraios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peirithoos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-25), 86, 5+14*25)

tr3125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peirithoos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peiroos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-26), 86, 5+14*26)

tr3126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peiroos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peisandros"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-27), 86, 5+14*27)

tr3127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peisandros")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Peneleos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-28), 86, 5+14*28)

tr3128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Peneleos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Perimedes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-29), 86, 5+14*29)

tr3129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Perimedes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Periphas"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-30), 86, 5+14*30)

tr3130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Periphas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phaenops"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-31), 86, 5+14*31)

tr3131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phaenops")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phegeus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-32), 86, 5+14*32)

tr3132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phegeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pheidippos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-33), 86, 5+14*33)

tr3133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pheidippos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phemios"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-34), 86, 5+14*34)

tr3134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phemios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phereclos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-35), 86, 5+14*35)

tr3135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phereclos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Philoctetes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-36), 86, 5+14*36)

tr3136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Philoctetes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phoinix"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-37), 86, 5+14*37)

tr3137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phoinix")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr3138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Phyleus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-38), 86, 5+14*38)

tr3138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Phyleus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Podalirius"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-39), 86, 5+14*39)

tr3139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Podalirius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Podarkes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 2, 2+14*(gg-40), 86, 5+14*40)

tr3140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Podarkes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan3Frame, 2, 2+14*(gg-41), 86, 5+14*41)

tr3141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
tr3201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polites"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-1), 2, 5+14*1)

tr3201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polites")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) () 
-------------------------------
tr3202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polydamas"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-2), 2, 5+14*2)

tr3202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polydamas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
tr3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polydoros"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-3), 2, 5+14*3)

tr3203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polydoros")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polymele"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-4), 2, 5+14*4)

tr3204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polymele")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polyneikes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-5), 2, 5+14*5)

tr3205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polyneikes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polyphontes"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-6), 2, 5+14*6)

tr3206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Polyphontes")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polypoites"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-7), 2, 5+14*7)

tr3207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polypoites")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Polyxenos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-8), 2, 5+14*8)

tr3208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Polyxenos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Poulydamas"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-9), 2, 5+14*9)

tr3209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Poulydamas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Priamus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-10), 2, 5+14*10)

tr3210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Priamus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
tr3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Promachus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-11), 2, 5+14*11)

tr3211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Promachus")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
tr3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Protesilaos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
tr3212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Protesilaos")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()	
-------------------------------
tr3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Prothoenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
tr3213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Prothoenor")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()	
-------------------------------
tr3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Prothoon"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-14), 2, 5+14*14)

tr3214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Prothoon")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Prothous"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-15), 2, 5+14*15)

tr3215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Prothous")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Prylis"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-16), 2, 5+14*16)

tr3216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Prylis")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) () 
-------------------------------
tr3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Pyrrhus"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-17), 2, 5+14*17)

tr3217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Pyrrhus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
-------------------------------
tr3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rhesus"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-18), 2, 5+14*18)

tr3218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Rhesus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rhipeus"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-19), 2, 5+14*19)

tr3219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Rhipeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sarpedon"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-20), 2, 5+14*20)

tr3220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sarpedon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------
tr3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Schedios"))
    :movable(false)
    :active(true) 
  :attach(Troyan3Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

tr3221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Schedios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sergestus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-22), 2, 5+14*22)

tr3222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sergestus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Simoeisios"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

tr3223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Simoeisios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sinon"))        
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

tr3224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sinon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Skamander"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-25), 2, 5+14*25)

tr3225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Skamander")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Stentor"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-26), 2, 5+14*26) 

tr3226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Stentor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
tr3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sthenelos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

tr3227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sthenelos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
--------------------------------
tr3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Stichius"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-28), 2, 5+14*28)

tr3228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Stichius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()  
-------------------------------
tr3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Talthybius"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

tr3229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Talthybius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1500)
            end
        end
    end) ()
-------------------------------
tr3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Telamon"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

tr3230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Telamon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Telemachus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

tr3231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Telemachus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Telephus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

tr3232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Telephus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Teucer"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

tr3233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Teucer")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thalpius"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-34), 2, 5+14*34)

tr3234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thalpius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Theoklymenos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

tr3235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Theoklymenos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Theotes"))
    :movable(false)
    :active(true) 
   :attach(Troyan3Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

tr3236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Theotes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thersander"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

tr3237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thersander")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr3238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thersilochos"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-38), 2, 5+14*38)

tr3238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thersilochos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
------------------------------- 
tr3239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thersites"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-39), 2, 5+14*39)

tr3239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thersites")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
--------------------------------
tr3240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thessandrus"))
    :movable(false)
    :active(true) 
    :attach(Troyan3Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
tr3240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thessandrus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(20000)
            end
        end
    end) ()	
-------------------------------
tr3241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan3Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
