---------------------------------------------
-- Troyan4Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local Troyan4FrameWidth, Troyan4FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Troyan4Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Troyan4Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tr4"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Troyan4Box,0,0,0,0)

Troyan4Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Troyan4Box, 20, 0, 0, 0)

Troyan4Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Troyan4Button.Visible = GuidesVisibility -- display or undisplay Button
    Troyan4Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Troyan4Check.Text ==  "o" then
		Troyan4Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Troyan4Button.Action = (function()
        return
            function()

                display_Troyan4 = not display_Troyan4
                if display_Troyan4 then  
                    Troyan4Frame.Visible = true                     
                    Troyan4Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Troyan4Frame.Visible = false                   
                    Troyan4Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
Troyan4Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Troyan4FrameWidth)/2, height-Troyan4FrameHeight-2, (width-Troyan4FrameWidth)/2, 2)

 Troyan4Frame.Customdraw = function(this) 

            if Troyan4_firstTickDone then
            if not(Troyan4CloseButtonDone) then
                Troyan4CloseButtonDone = true
                makeCloseButton(Troyan4CloseButton, Troyan4Frame, Troyan4Button)
            end
            else
                Troyan4_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    Troyan4Frame:attach(screenBox, width-Troyan4FrameWidth-36, height-Troyan4FrameHeight-128-27, 36, 128+27) 
               else
                    Troyan4Frame:attach(screenBox, width-Troyan4FrameWidth-200, height-Troyan4FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Jupiter. Named Trojans-4:"))
end
--====================
-- Подключение команд 
--====================
tr401Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-1), 86, 5+14*1)

tr401Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr402Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-2), 86, 5+14*2)

tr402Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr403Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-3), 86, 5+14*3)

tr403Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr404Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-4), 86, 5+14*4)

tr404Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr405Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-5), 86, 5+14*5)

tr405Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr406Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-6), 86, 5+14*6)

tr406Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr407Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-7), 86, 5+14*7)

tr407Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
tr408Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-8), 86, 5+14*8)

tr408Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr409Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-9), 86, 5+14*9)

tr409Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr410Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-10), 86, 5+14*10)

tr410Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()	
-------------------------------
tr411Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-11), 86, 5+14*11)

tr411Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr412Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-12), 86, 5+14*12)

tr412Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
tr413Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-13), 86, 5+14*13)

tr413Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr414Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-14), 86, 5+14*14)

tr414Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr415Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-15), 86, 5+14*15)

tr415Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr416Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-16), 86, 5+14*16)

tr416Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr417Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-17), 86, 5+14*17)

tr417Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr418Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-18), 86, 5+14*18)

tr418Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr419Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-19), 86, 5+14*19)

tr419Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-20), 86, 5+14*20)

tr420Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr421Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-21), 86, 5+14*21)

tr421Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr422Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-22), 86, 5+14*22)

tr422Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr423Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-23), 86, 5+14*23)

tr423Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr424Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-24), 86, 5+14*24)

tr424Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr425Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-25), 86, 5+14*25)

tr425Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(4000)
            end
        end
    end) ()
-------------------------------
tr426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-26), 86, 5+14*26)

tr426Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-27), 86, 5+14*27)

tr427Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr428Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-28), 86, 5+14*28)

tr428Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr429Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-29), 86, 5+14*29)

tr429Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr430Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-30), 86, 5+14*30)

tr430Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-31), 86, 5+14*31)

tr431Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr432Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-32), 86, 5+14*32)

tr432Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
tr433Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-33), 86, 5+14*33)

tr433Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr434Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-34), 86, 5+14*34)

tr434Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr435Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-35), 86, 5+14*35)

tr435Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr436Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-36), 86, 5+14*36)

tr436Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr437Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-37), 86, 5+14*37)

tr437Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr438Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-38), 86, 5+14*38)

tr438Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr439Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-39), 86, 5+14*39)

tr439Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr440Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-40), 86, 5+14*40)

tr440Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr441Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-41), 86, 5+14*41)

tr441Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
tr201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-1), 2, 5+14*1)

tr201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
tr202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-2), 2, 5+14*2)

tr202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) () 
-------------------------------
tr203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-3), 2, 5+14*3)

tr203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-4), 2, 5+14*4)

tr204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-5), 2, 5+14*5)

tr205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-6), 2, 5+14*6)

tr206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(75)
            end
        end
    end) () 
-------------------------------
tr207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-7), 2, 5+14*7)

tr207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-8), 2, 5+14*8)

tr208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-9), 2, 5+14*9)

tr209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-10), 2, 5+14*10)

tr210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
tr211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-11), 2, 5+14*11)

tr211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) () 
-------------------------------
tr212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
tr212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
tr213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
tr213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
tr214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-14), 2, 5+14*14)

tr214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-15), 2, 5+14*15)

tr215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-16), 2, 5+14*16)

tr216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(125)
            end
        end
    end) () 
-------------------------------
tr217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-17), 2, 5+14*17)

tr217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
tr218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-18), 2, 5+14*18)

tr218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-19), 2, 5+14*19)

tr219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-20), 2, 5+14*20)

tr220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
  :attach(Troyan4Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

tr221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-22), 2, 5+14*22)

tr222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

tr223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))        
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

tr224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-25), 2, 5+14*25)

tr225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-26), 2, 5+14*26) 

tr226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
tr227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

tr227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) () 
--------------------------------
tr228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-28), 2, 5+14*28)

tr228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()  
-------------------------------
tr229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

tr229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

tr230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

tr231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

tr232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

tr233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-34), 2, 5+14*34)

tr234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

tr235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach(Troyan4Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

tr236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

tr237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-38), 2, 5+14*38)

tr238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
------------------------------- 
tr239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-39), 2, 5+14*39)

tr239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
tr240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
tr240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
tr241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
