----------------------------------------------
-- Sol1Box.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 27.04.2017, 05.05.2018, 25.07.2018
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver()
local newwidth, newheight
local gn=42
local gg=gn-1
local  Sol1FrameWidth, Sol1FrameHeight = 170, 14*gn+4
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Sol1Box = CXBox:new()
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Sol1Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("So1"))
    :movable(false)
    :visible(false)
    :active(true)
    :attach(Sol1Box,0,0,0,0)

Sol1Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)
        :attach(Sol1Box, 20, 0, 0, 0)

Sol1Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Sol1Button.Visible = GuidesVisibility -- display or undisplay Button
    Sol1Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Sol1Check.Text ==  "o" then
	Sol1Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Sol1Button.Action = (function()
        return
            function()
              display_Sol1= not display_Sol1
                if display_Sol1 then                    				
                    Sol1Frame.Visible = true                    
                    Sol1Check.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
					else
                    Sol1Frame.Visible = false                  
                    Sol1Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) () 
-----------------------------------------------------------------------------
Sol1Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :movable(true)
    :clickable(false)
    :visible(false)
    :attach(screenBox, (width-Sol1FrameWidth)/2, height-Sol1FrameHeight-2, (width-Sol1FrameWidth)/2, 2)

 Sol1Frame.Customdraw = function(this)

            if Sol1_firstTickDone then
            if not(Sol1CloseButtonDone) then
                Sol1CloseButtonDone = true
                makeCloseButton(Sol1CloseButton, Sol1Frame, Sol1Button)
            end
            else
                Sol1_firstTickDone = true
            end

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height
               if height>=768  then
                    Sol1Frame:attach(screenBox, width-Sol1FrameWidth-36, height-Sol1FrameHeight-128-27, 36, 128+27)
               else
                    Sol1Frame:attach(screenBox, width-Sol1FrameWidth-200, height-Sol1FrameHeight-3, 200, 3)
               end
            end

	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0.2,0.8,1,1})
	    textlayout:setpos(this.lb+10, this.tb - 14)
            textlayout:println(_(" STUDY OF PLANETS-1"))
end

--===============
-- Подключение команд
--===============
Sol1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Country / Device / Launch Date:"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--================
Sol1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--================
Sol1103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-3), 129, 5+14*3)

Sol1203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Pioneer 10/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-3), 49, 5+14*3)

Sol1203Box.Action = (function()
    return
        function()
            local obj = celestia:find("Pioneer 10")
            celestia:select(obj)             
            if not(empty(obj)) then
			   celestia:seturl("cel://PhaseLock/Sol:Pioneer%2010/Sol:Earth/1972-03-03T04:32:52.94064?x=xyOVVvf//////////////w&y=+Z0Xaw&z=4oVwJg&ow=0.518253&ox=-0.456427&oy=0.531995&oz=0.489969&track=Sol:Pioneer%2010&select=Sol:Pioneer%2010&fov=9.37362&ts=200&ltd=0&p=0&rf=275&lm=2178&tsrc=0&ver=3")
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               -- celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			
			end
       end
    end) ()

Sol1303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("03-03-72"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-3), 2, 5+14*3)
--================
Sol1104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Europa"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-4), 129, 5+14*4)

Sol1104Box.Action = (function()
    return
        function()
            local obj = celestia:find("Pioneer 10")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Pioneer%2010/Sol:Jupiter/1973-12-03T08:54:52.37697?x=eMtRzfz//////////////w&y=cSxsqA&z=pUt+lf///////////////w&ow=0.491344&ox=-0.379195&oy=0.647622&oz=0.442016&track=Sol:Pioneer%2010&select=Sol:Pioneer%2010&fov=32.6064&ts=200&ltd=0&p=0&rf=179&lm=12422&tsrc=0&ver=3")
               celestia:setambient (0.5)
               obj1 = celestia:find("Sol/Jupiter/Europa")
               obj1:mark("green", "circle", 150)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end			
        end
    end) ()

Sol1204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("03-12-73"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-4), 86, 5+14*4)

Sol1304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-4), 49, 5+14*4)

Sol1304Box.Action = (function()
    return
        function()
            local obj = celestia:find("Pioneer 10")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Pioneer%2010/Sol:Jupiter/1973-12-03T19:02:37.80557?x=fMtRzfz//////////////w&y=cSxsqA&z=pUt+lf///////////////w&ow=0.491344&ox=-0.379195&oy=0.647622&oz=0.442016&track=Sol:Pioneer%2010&select=Sol:Pioneer%2010&fov=38.8981&ts=200&ltd=0&p=0&rf=179&lm=12422&tsrc=0&ver=3")
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	
			end
        end
    end) ()

Sol1404Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("04-12-73"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-4), 2, 5+14*4)
--================
Sol1105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-5), 129, 5+14*5)

Sol1205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-5), 49, 5+14*5)

Sol1305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-5), 2, 5+14*5)
--================
Sol1106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-6), 129, 5+14*6)

Sol1206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Galileo/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-6), 49, 5+14*6)

Sol1206Box.Action = (function()
    return
        function()
            local obj = celestia:find("Galileo")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Galileo/Sol:Earth/1989-10-19T06:38:49.63114?x=UnzfkO3//////////////w&y=FTzk2/7//////////////w&z=b/vXtA&ow=-0.184624&ox=-0.65805&oy=-0.21877&oz=0.696437&track=Sol:Galileo&select=Sol:Galileo&fov=10.8723&ts=200&ltd=0&p=0&rf=275&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
	           obs:center(obj)		
            end			
        end
    end) ()

Sol1306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("18-10-89"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-6), 2, 5+14*6)
--================
Sol1107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Venus"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-7), 129, 5+14*7)

Sol1107Box.Action = (function()
    return
        function()		    
            local obj = celestia:find("Galileo")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Galileo/Sol:Venus/1990-02-10T18:05:40.64132?x=Z1IqdcX//////////////w&y=/I98SwE&z=aaHx+P7//////////////w&ow=0.670384&ox=-0.192962&oy=0.686687&oz=0.20448&track=Sol:Galileo&select=Sol:Galileo&fov=3.98623&ts=200&ltd=0&p=0&rf=275&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Sol1207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("11-02-90"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-7), 86, 5+14*7)

Sol1307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-7), 49, 5+14*7)

Sol1307Box.Action = (function()
    return
        function()
            local obj = celestia:find("Galileo")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Galileo/Sol:Jupiter/1995-12-01T00:19:12.88379?x=CZxGWJr//////////////w&y=doa5n/7//////////////w&z=OLu84////////////////w&ow=0.495783&ox=0.497426&oy=0.5031&oz=-0.503643&track=Sol:Galileo&select=Sol:Galileo&fov=2.38163&ts=200&ltd=0&p=0&rf=275&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)	
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)		   
            end	
	    end
    end) ()

Sol1407Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("08-12-95"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-7), 2, 5+14*7)
--================
Sol1108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-8), 129, 5+14*8)

Sol1208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-8), 49, 5+14*8)

Sol1308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-8), 2, 5+14*8)
--================
Sol1109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-9), 129, 5+14*9)

Sol1209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Juno/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-9), 49, 5+14*9)

Sol1209Box.Action = (function()
    return
        function()
            local obj = celestia:find("Juno")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Juno/Sun:Earth/2011-08-05T18:37:09.76071?x=5BGKZuL//////////////w&y=Iq3/0gI&z=SqTPa/7//////////////w&ow=-0.463757&ox=0.487183&oy=-0.537741&oz=-0.508347&track=Sun:Juno&select=Sun:Juno&fov=26.0647&ts=100&ltd=0&p=0&rf=275&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	
            end		
        end
    end) ()

Sol1309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("05-08-11"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-9), 2, 5+14*9)
--================
Sol1110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-10), 129, 5+14*10)

Sol1110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Juno")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Juno/Sol:Earth/2013-10-09T11:00:25.18177?x=5BGKZuL//////////////w&y=Ia3/0gI&z=SqTPa/7//////////////w&ow=0.463757&ox=-0.487183&oy=0.537741&oz=0.508347&track=Sol:Juno&select=Sol:Juno&fov=26.0647&ts=100&ltd=0&p=0&rf=275&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)	
               celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)	
            end			
        end
    end) ()

Sol1210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("09-10-13"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-10), 86, 5+14*10)

Sol1310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-10), 49, 5+14*10)

Sol1310Box.Action = (function()
    return
        function()
            local obj = celestia:find("Juno")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Juno/Sol:Jupiter/2016-08-15T21:10:33.97612?x=6XR93ej+/////////////w&y=BYQaHv///////////////w&z=3+tAbgI&ow=-0.00197364&ox=0.704021&oy=0.000269036&oz=-0.710176&track=Sol:Juno&select=Sol:Juno&fov=3.00738&ts=200&ltd=0&p=0&rf=275&lm=14470&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			   
            end		
        end
    end) ()

Sol1410Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("27-08-16"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-10), 2, 5+14*10)
--=====================
Sol1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-11), 129, 5+14*11)

Sol1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-11), 49, 5+14*11)

Sol1311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-11), 2, 5+14*11)
--================
Sol1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter, Saturn"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-12), 2, 5+14*12)
--================
Sol1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-13), 129, 5+14*13)

Sol1213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Pioneer 11/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-13), 49, 5+14*13)

Sol1213Box.Action = (function()
    return
        function()
         local obj = celestia:find("Pioneer 11")
         celestia:select(obj)
         if not(empty(obj)) then
            celestia:seturl("cel://PhaseLock/Sol:Pioneer%2011/Sol:Earth/1973-04-06T08:16:59.56201?x=7FKere7//////////////w&y=drFjZA&z=MjmXUQ&ow=0.534238&ox=-0.452448&oy=0.534878&oz=0.47306&track=Sol:Pioneer%2011&select=Sol:Pioneer%2011&fov=4.40784&ts=200&ltd=0&p=0&rf=275&lm=12422&tsrc=0&ver=3")	
            celestia:setambient (1.0)
            -- obj1 = celestia:find("")
            -- obj1:mark("green", "circle", 50)	
            celestia:setorbitflags{Moon = true} -- луны			
            obs:center(obj)
         end 
       end
    end) ()

Sol1313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("06-04-73"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-13), 2, 5+14*13)
--================
Sol1114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-14), 129, 5+14*14)

Sol1114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Pioneer 11")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Pioneer%2011/Sol:Jupiter/1974-02-12T05:28:07.46541?x=b8+MwCj8/////////////w&y=bc2pmv///////////////w&z=sTbm4////////////////w&ow=0.562691&ox=0.427983&oy=0.562926&oz=-0.428162&track=Sol:Pioneer%2011&select=Sol:Pioneer%2011&fov=0.0782929&ts=200&ltd=0&p=0&rf=65811&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)	
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			   
            end			
        end
    end) ()

Sol1214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("12-02-74"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-14), 86, 5+14*14)

Sol1314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Saturn"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-14), 49, 5+14*14)

Sol1314Box.Action = (function()
    return
        function()
            local obj = celestia:find("Pioneer 11")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Pioneer%2011/Sun:Saturn/1979-09-01T15:00:04.97177?x=F/kZLP7//////////////w&y=TY4Z3w&z=832Ymg&ow=-0.522174&ox=0.476796&oy=-0.522174&oz=-0.476796&track=Sun:Saturn&select=Sun:Pioneer%2011&fov=120&ts=100&ltd=0&p=0&rf=275&lm=128&tsrc=0&ver=3")	
               celestia:setambient (0.77)
               -- obj1 = celestia:find("Saturn")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			   
            end			
        end
    end) ()

Sol1414Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("01-09-79"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-14), 2, 5+14*14)
--================
Sol1115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-15), 129, 5+14*15)

Sol1215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-15), 49, 5+14*15)

Sol1315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-15), 2, 5+14*15)
--============================================================= Cassini cruise and Saturn orbit.ssc
Sol1116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("U+E+"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-16), 129, 5+14*16)

Sol1216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Cassini+H./Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-16), 49, 5+14*16)

Sol1216Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun/1997-10-30T16:48:26.46545?x=AAAgsT+D6d5OAQ&y=AACA3t4JUZ+bCg&z=AACkmVpuAuxU&ow=0.49385&ox=0.413326&oy=-0.560046&oz=-0.521175&track=Sun&select=Sun:Saturn:Cassini-Huygens&fov=4.11641&ts=500000&ltd=0&p=0&rf=2163123&lm=12422&tsrc=0&ver=3")
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               obj:mark("green", "square", 40)	
               celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)			
            end			
        end
    end) ()

Sol1316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-16), 2, 5+14*16)
--======================
Sol1117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Venus"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-17), 129, 5+14*17)

Sol1117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Saturn:Cassini-Huygens/Sun:Venus/1999-06-24T19:10:11.76171?x=HzsKpfD//////////////w&y=NbtvD////////////////w&z=Y2NhgP7//////////////w&ow=0.455665&ox=0.512608&oy=0.534516&oz=-0.493858&select=Sun:Saturn:Cassini-Huygens&fov=30.854&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)	
               celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)			
            end			
        end
    end) ()

Sol1217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("24-06-99"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-17), 86, 5+14*17)

Sol1317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-17), 49, 5+14*17)

Sol1317Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Jupiter/2000-12-30T12:02:31.12056?x=C0wCkqP+/////////////w&y=eSuSBwM&z=aWvfUAE&ow=0.502673&ox=-0.492953&oy=0.505084&oz=0.499207&track=Sol:Saturn:Cassini-Huygens&select=Sol:Saturn:Cassini-Huygens&fov=1.1738&ts=200&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               celestia:setorbitflags{Moon = true} -- луны
               obs:center(obj)			
            end			
        end
    end) ()

Sol1417Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("30-12-00"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-17), 2, 5+14*17)
--======================
Sol1118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Phoeb."))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-18), 129, 5+14*18)

Sol1118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Saturn:Phoebe/2004-06-14T12:01:13.81179?x=2xMxGjfH/////////////w&y=JhhUDQM&z=B+VEuwI&ow=-0.420819&ox=0.56814&oy=-0.42086&oz=-0.568335&track=Sol:Saturn:Cassini-Huygens&select=Sol:Saturn:Cassini-Huygens&fov=0.0334703&ts=500&ltd=0&p=0&rf=2163091&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)	   
            end
        end
    end) ()

Sol1218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("11-06-04"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-18), 86, 5+14*18)

Sol1318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Titan"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-18), 49, 5+14*18)

Sol1318Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Saturn:Titan/2005-02-15T12:01:57.68377?x=zCF8faT//////////////w&y=jbU1IPz//////////////w&z=cddR2w&ow=-0.317103&ox=-0.615936&oy=-0.340509&oz=0.635706&track=Sol:Saturn:Cassini&select=Sol:Saturn:Cassini&fov=6.35627&ts=100&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle",  150)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)						
            end			
        end
    end) ()

Sol1418Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("15-02-05"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-18), 2, 5+14*18)
--======================
Sol1119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Mimas"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-19), 129, 5+14*19)

Sol1119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Saturn:Cassini-Huygens/Sun:Saturn:Mimas/2005-08-02T12:26:49.90847?x=RJReK075/////////////w&y=NtSvdQM&z=/k40aQE&ow=0.517619&ox=-0.480722&oy=0.518165&oz=0.482164&track=Sun:Saturn:Cassini&select=Sun:Saturn:Cassini&fov=0.248943&ts=400&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)	
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)	   
            end
        end
    end) ()

Sol1219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("02-08-05"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-19), 86, 5+14*19)

Sol1319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Hyper."))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-19), 49, 5+14*19)

Sol1319Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Saturn:Cassini-Huygens/Sun:Saturn:Hyperion/2005-09-26T12:47:53.37597?x=fBn7KUL5/////////////w&y=joQH7vv//////////////w&z=1DacGw&ow=0.302917&ox=0.638206&oy=0.304404&oz=-0.638962&track=Sun:Saturn:Cassini&select=Sun:Saturn:Cassini&fov=0.308613&ts=1000&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)			
               celestia:setorbitflags{Moon = true} -- луны	
               obs:center(obj)			
            end			
        end
    end) ()

Sol1419Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("26-09-05"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-19), 2, 5+14*19)
--======================
Sol1120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Tethis"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-20), 129, 5+14*20)

Sol1120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Saturn:Tethys/2007-06-27T12:01:22.78169?x=wHmfqQH7/////////////w&y=MKVmGwE&z=bFIDcgE&ow=0.44029&ox=-0.552807&oy=0.440271&oz=0.553814&track=Sol:Saturn:Cassini&select=Sol:Saturn:Cassini&fov=0.283613&ts=200&ltd=0&p=0&rf=2163091&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)	
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			
            end			
        end
    end) ()

Sol1220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("27-06-07"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-20), 86, 5+14*20)

Sol1320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Iapetus"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-20), 49, 5+14*20)

Sol1320Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Saturn:Iapetus/2007-09-10T08:02:55.99459?x=ViwVAH///////////////w&y=ko8ivf///////////////w&z=mWb80QE&ow=-0.18916&ox=0.677251&oy=-0.185139&oz=-0.686493&track=Sol:Saturn:Cassini&select=Sol:Saturn:Cassini&fov=2.8312&ts=200&ltd=0&p=0&rf=2163091&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			
            end			
        end
    end) ()

Sol1420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("10-09-07"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-20), 2, 5+14*20)
--======================
Sol1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Rhea"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-21), 129, 5+14*21)

Sol1121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:Saturn:Cassini-Huygens/Sol:Saturn:Rhea/2010-02-20T10:01:53.10728?x=qdXGSgnh/////////////w&y=7IPxvfz//////////////w&z=k7HTJP7//////////////w&ow=0.565&ox=0.424906&oy=0.565307&oz=-0.425039&track=Sol:Saturn:Cassini&select=Sol:Saturn:Cassini&fov=0.0486595&ts=400&ltd=0&p=0&rf=2163091&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end			
        end
    end) ()

Sol1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("02-03-10"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-21), 86, 5+14*21)

Sol1321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Dione"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-21), 49, 5+14*21)

Sol1321Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Saturn:Cassini-Huygens/Sun:Saturn:Dione/2010-04-07T04:49:38.72758?x=W8I+TfT//////////////w&y=QvQBwvz//////////////w&z=uOINE////////////////w&ow=0.535754&ox=0.28057&oy=0.677712&oz=-0.418276&track=Sun:Saturn:Cassini&select=Sun:Saturn:Cassini&fov=55.9066&ts=50&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.8)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)	
               celestia:setorbitflags{Moon = true} -- луны		
               obs:center(obj)			
            end			
        end
    end) ()

Sol1421Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("07-04-10"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-21), 2, 5+14*21)
--======================
Sol1122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Encel."))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-22), 129, 5+14*22)

Sol1122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Cassini-Huygens")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Saturn:Cassini-Huygens/Sun:Saturn:Enceladus/2010-04-27T22:09:37.50870?x=3z9vzuH+/////////////w&y=mNf42Pz//////////////w&z=tcr/KP///////////////w&ow=-0.555817&ox=-0.430544&oy=-0.562227&oz=0.435431&track=Sun:Saturn:Cassini&select=Sun:Saturn:Cassini&fov=2.60233&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.8)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 150)	
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)						
            end			
        end
    end) ()

Sol1222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("28-04-10"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-22), 86, 5+14*22)

Sol1322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Saturn"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-22), 49, 5+14*22)

Sol1322Box.Action = (function()
    return
        function()
		    local obj = celestia:find("Cassini_only")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sun:Saturn:Cassini-Huygens/2010-04-27T20:49:51.34645?x=Sxoaugc&y=6D0LLgU&z=d55LbAs&ow=0.215724&ox=0.0299458&oy=0.237378&oz=0.946688&track=Sun:Saturn&select=Sun:Saturn:Cassini_only&fov=56.1207&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.75)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)	
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end			
        end
    end) ()

Sol1422Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("22-04-17"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-22), 2, 5+14*22)
--=========================================================== End Cassini cruise and Saturn orbit.ssc
Sol1123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-23), 129, 5+14*23)

Sol1223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-23), 49, 5+14*23)

Sol1323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-23), 2, 5+14*23)
--================
Sol1124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("U+E+"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-24), 129, 5+14*24)

Sol1224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Huygens (free flig.)"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-24), 49, 5+14*24)

Sol1224Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens (with Cassini)")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Cassini:Huygens%20(with%20Cassini)/2004-12-25T02:00:59.45670?x=cftNXgg&y=Rbb9Ag&z=K9IQxhY&ow=0.984533&ox=0.000872732&oy=-0.175161&oz=0.00353078&select=Sol:Cassini:Huygens%20(with%20Cassini)&fov=20&ts=0.2&ltd=0&p=0&rf=2097555&lm=12422&tsrc=0&ver=3")
			   celestia:setambient (0.5)
               -- obj1 = celestia:find("Huygens (free flight)")
               -- obj1:mark("red", "diamond", 50)
               -- obj2 = celestia:find("Saturn/Titan")
               -- obj2:mark("green", "circle", 50)			   
               celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			
            end
        end
    end) ()

Sol1324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("25-12-04"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-24), 2, 5+14*24)
--================
Sol1125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~9: 05"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-25), 129, 5+14*25)

Sol1125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens (free flight)")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Huygens%20(free%20flight)/2005-01-14T09:06:32.78371?x=SuIUU/7//////////////w&y=ObZVOwE&z=ClMwQAI&ow=0.971288&ox=0.209248&oy=0.0687007&oz=0.0899763&track=Sol:Saturn:Titan&select=Sol:Saturn:Titan&fov=93.079&ts=1&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol1225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-25), 86, 5+14*25)

Sol1325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~9: 08"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-25), 49, 5+14*25)

Sol1325Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens (free flight)")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Huygens%20(free%20flight)/2005-01-14T09:06:41.11305?x=SuIUU/7//////////////w&y=ObZVOwE&z=ClMwQAI&ow=0.972&ox=0.209916&oy=0.0685702&oz=0.0803051&track=Sol:Saturn:Titan&select=Sol:Saturn:Titan&fov=93.079&ts=1&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol1425Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-25), 2, 5+14*25)
--================
Sol1126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~9: 09"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-26), 129, 5+14*26)

Sol1126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens (free flight)")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sol:Huygens%20(free%20flight)/2005-01-14T09:09:45.66120?x=6KYSNv///////////////w&y=ijl0lA&z=nmdCDwE&ow=0.969313&ox=0.210627&oy=0.112453&oz=0.058502&track=Sol:Saturn:Titan&select=Sol:Huygens%20(free%20flight)&fov=120&ts=1&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol1226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-26), 86, 5+14*26)

Sol1326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~9: 10"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-26), 49, 5+14*26)

Sol1326Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens (free flight)")
            celestia:select(obj)
            if not(empty(obj)) then
 			   celestia:seturl("cel://Follow/Sol:Huygens%20(free%20flight)/2005-01-14T09:10:15.94576?x=6KYSNv///////////////w&y=ijl0lA&z=nmdCDwE&ow=0.968759&ox=0.210903&oy=0.118631&oz=0.0543301&track=Sol:Saturn:Titan&select=Sol:.&fov=120&ts=1&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)            
            end
        end
    end) ()

Sol1426Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-26), 2, 5+14*26)
--==============================
Sol1127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(" ~9: 23"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-27), 129, 5+14*27)

Sol1127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Huygens Landing Site")
            celestia:select(obj)
            if not(empty(obj)) then
               -- tdb_dt = celestia:utctotdb(2005, 01, 14, 09, 23, 30) -- 2005 Jan 14 11:39:50
               -- celestia:settime(tdb_dt)
 			   celestia:seturl("cel://Follow/Sol:Huygens%20(free%20flight)/2005-01-14T09:24:26.00790?x=S0qk9vv//////////////w&y=wuK19wI&z=QioqbAU&ow=0.960987&ox=0.231439&oy=0.0821917&oz=-0.127221&track=Sol:Saturn:Titan&select=Sol:.&fov=120&ts=5&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)			   
            end
        end
    end) ()

Sol1227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-27), 86, 5+14*27)

Sol1327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("~11: 39"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-27), 49, 5+14*27)

Sol1327Box.Action = (function()
    return
        function()
            local obj = celestia:find("")
            celestia:select(obj)
            if not(empty(obj)) then
               -- tdb_dt = celestia:utctotdb(2005, 01, 14, 11, 38, 46) -- 2005 Jan 14 11:39:50
               -- celestia:settime(tdb_dt)
 			   celestia:seturl("cel://Follow/Sol:Saturn:Titan:Huygens%20Landing%20Site/2005-01-14T12:01:01.08247?x=MNl3+f///////////////w&y=DNJ5TA&z=USuMBgE&ow=0.558452&ox=0.069847&oy=0.123202&oz=0.817358&track=Sol:Saturn:Titan:Huygens%20Landing%20Site&select=Sol:Saturn:Titan:Huygens%20Landing%20Site&fov=120&ts=1&ltd=0&p=0&rf=2097555&lm=8322&tsrc=0&ver=3")
			   celestia:setambient (0.5)
			   celestia:setorbitflags{Moon = true} -- луны			
               obs:center(obj)
            end
        end
    end) ()

Sol1427Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-01-05"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-27), 2, 5+14*27)
--===========================================================
Sol1128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-28), 129, 5+14*28)

Sol1228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-28), 49, 5+14*28)

Sol1328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-28), 2, 5+14*28)
--================
Sol1129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter, Saturn, Uranus, Neptune"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-29), 2, 5+14*29)
--================
Sol1130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-30), 129, 5+14*30)
-------------------------------
Sol1230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Voyager 1/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-30), 49, 5+14*30)

Sol1230Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 1")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%201/Sun:Jupiter/1979-03-05T16:44:55.87838?x=sRcrxuj//////////////w&y=Lt/PrwE&z=ivPtzg&ow=0.491835&ox=-0.471184&oy=0.51053&oz=0.524827&track=Sun:Voyager%201&select=Sun:Voyager%201&fov=30&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("Earth")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			   
            end			
        end
    end) ()

Sol1330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("05-09-77"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-30), 2, 5+14*30)
--================
Sol1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-31), 129, 5+14*31)

Sol1131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 1")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%201/Sun:Jupiter/1979-03-05T07:15:45.88196?x=sRcrxuj//////////////w&y=Md/PrwE&z=kvPtzg&ow=0.491835&ox=-0.471184&oy=0.51053&oz=0.524827&track=Sun:Voyager%201&select=Sun:Voyager%201&fov=30&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.56)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)			   
            end
        end
    end) ()

Sol1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("05-03-79"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-31), 86, 5+14*31)

Sol1331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Saturn"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-31), 49, 5+14*31)

Sol1331Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 1")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%201/Sun:Saturn/1980-11-12T03:22:56.62371?x=2Ozj4d3//////////////w&y=jbOJdvv//////////////w&z=JFIsMgQ&ow=-0.142027&ox=-0.628645&oy=-0.210468&oz=0.735076&track=Sun:Voyager%201&select=Sun:Voyager%201&fov=16.7093&ts=100&ltd=0&p=0&rf=2097555&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.34)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)				   
            end
        end
    end) ()

Sol1431Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("12-11-80"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-31), 2, 5+14*31)
--================
Sol1132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-32), 129, 5+14*32)

Sol1232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-32), 49, 5+14*32)

	Sol1332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-32), 2, 5+14*32)
--================
Sol1133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-33),129, 5+14*33)

Sol1233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Voyager 2/Earth"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-33), 49, 5+14*33)

Sol1233Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 2")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://Follow/Sol:Voyager%202/1977-08-20T15:43:05.63253?x=jMT2Swc&y=31ETGwE&z=t4j50/7//////////////w&ow=0.493366&ox=0.121945&oy=-0.844578&oz=-0.168547&track=Sol:Earth&select=Sol:Voyager%202&fov=93.1537&ts=10&ltd=0&p=0&rf=2163091&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)	   
            end
        end
    end) ()

Sol1333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("20-08-77"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-33), 2, 5+14*33)
--================
Sol1134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-34), 129, 5+14*34)

Sol1134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 2")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%202/Sun:Jupiter/1979-07-09T01:00:55.36219?x=mRjKg+7//////////////w&y=/+nxXQI&z=DjFh7QE&ow=0.50107&ox=-0.429045&oy=0.511498&oz=0.550654&track=Sun:Voyager%202&select=Sun:Voyager%202&fov=25.8559&ts=50&ltd=0&p=0&rf=2163091&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.4)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)	
            end
        end
    end) ()

Sol1234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("09-07-79"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-34), 86, 5+14*34)

Sol1334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Saturn"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-34), 49, 5+14*34)

Sol1334Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 2")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%202/Sun:Saturn/1981-08-25T02:43:55.99014?x=kDPQ3e7//////////////w&y=vviGoQQ&z=LbhENg&ow=-0.460652&ox=0.398251&oy=-0.579159&oz=-0.542006&track=Sun:Voyager%202&select=Sun:Voyager%202&fov=26.9048&ts=50&ltd=0&p=0&rf=2167187&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.4)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)				   
            end
        end
    end) ()

Sol1434Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("25-08-81"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-34), 2, 5+14*34)
--================
Sol1135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Uran"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-35), 129, 5+14*35)

Sol1135Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 2")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%202/Sun:Uranus/1986-01-24T13:02:49.61198?x=VpkMrO7//////////////w&y=XYmzT/z//////////////w&z=ZHZD6f7//////////////w&ow=-0.484783&ox=-0.396112&oy=-0.611365&oz=0.48406&track=Sun:Voyager%202&select=Sun:Voyager%202&fov=24.0869&ts=50&ltd=0&p=0&rf=2167187&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.85)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)	   
            end
        end
    end) ()

Sol1235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("24-01-86"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-35), 86, 5+14*35)

Sol1335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Nept."))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-35), 49, 5+14*35)

Sol1335Box.Action = (function()
    return
        function()
            local obj = celestia:find("Voyager 2")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sun:Voyager%202/Sun:Neptune/1989-08-24T12:57:11.86402?x=Bwf/IXv//////////////w&y=zLTdBPv//////////////w&z=PhytAAU&ow=0.143986&ox=0.674013&oy=0.164035&oz=-0.705739&track=Sun:Voyager%202&fov=6.2012&ts=50&ltd=0&p=0&rf=2167187&lm=4230&tsrc=0&ver=3")	
               celestia:setambient (0.85)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)              
            end
        end
    end) ()

Sol1435Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("24-08-89"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-35), 2, 5+14*35)
--================
Sol1136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-36), 129, 5+14*36)

Sol1236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-36), 49, 5+14*36)

Sol1336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-36), 2, 5+14*36)
--================
Sol1137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter, Pluto"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-37), 2, 5+14*37)
--================
Sol1138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-38), 129, 5+14*38)

Sol1238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("New Horizons"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-38), 49, 5+14*38)

Sol1238Box.Action = (function()
    return
        function()

            local obj = celestia:find("New Horizons")
            celestia:select(obj)
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:New%20Horizons/Sol:Earth/2006-01-19T20:01:15.23083?x=qpAUg/z//////////////w&y=eb1h7g&z=uU17ZQ&ow=0.415387&ox=-0.572235&oy=0.415387&oz=0.572235&track=Sol:Earth&select=Sol:New%20Horizons&fov=49.2261&ts=10&ltd=0&p=0&rf=2101651&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (0.7)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)			
               obs:center(obj)				
            end
        end
    end) ()

Sol1338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("19-01-06"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-38), 2, 5+14*38)
--================
Sol1139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 2, 2+14*(gg-39), 129, 5+14*39)

Sol1139Box.Action = (function()
    return
        function()
            local obj = celestia:find("New Horizons")
            celestia:select(obj)			
            if not(empty(obj)) then
               celestia:seturl("cel://PhaseLock/Sol:New%20Horizons/Sol:Jupiter/2007-07-28T06:44:52.26679?x=6P08edP0/////////////w&y=iXnZRf7//////////////w&z=8+Qr7P7//////////////w&ow=0.507708&ox=0.491859&oy=0.508196&oz=-0.49198&track=Sol:New%20Horizons&select=Sol:Jupiter&fov=0.0824468&ts=10&ltd=0&p=0&rf=2101683&lm=12422&tsrc=0&ver=3")	
               celestia:setambient (1.0)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end
        end
    end) ()

Sol1239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-2, 10)
    :text(_("28-07-07"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-39), 86, 5+14*39)

Sol1339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Pluto"))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 86, 2+14*(gg-39), 49, 5+14*39)

Sol1339Box.Action = (function()
    return
        function()
            local obj = celestia:find("New Horizons")
            celestia:select(obj)
            if not(empty(obj)) then
			   celestia:seturl("cel://Follow/Sun:New%20Horizons/2016-05-29T20:27:58.76403?x=Mf4HZuYR&y=61G7TdDD&z=D08F79fyBA&ow=0.831037&ox=0.0677127&oy=0.0364858&oz=0.550873&track=Sun:Pluto-Charon:Pluto&select=Sun:New%20Horizons&fov=0.00101783&ts=10&ltd=0&p=0&rf=2167219&lm=12438&tsrc=0&ver=3")	
               celestia:setambient (0.5)
               -- obj1 = celestia:find("")
               -- obj1:mark("green", "circle", 50)
               celestia:setorbitflags{Moon = true} -- луны			   
               obs:center(obj)
            end	
        end
    end) ()

Sol1439Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_("14-07-15"))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-39), 2, 5+14*39)
--================
Sol1140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-40), 129, 5+14*40)

Sol1240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-40), 49, 5+14*40)

Sol1340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-40), 2, 5+14*40)
--================
Sol1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 2, 2+14*(gg-41), 129, 5+14*41)

Sol1241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true)
    :attach(Sol1Frame, 43, 2+14*(gg-41), 49, 5+14*41)

Sol1341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(Sol1Frame, 123, 2+14*(gg-41), 2, 5+14*41)
--================
