----------------------------------------------
-- NinthBox.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016, 14.10.2018
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local NinthFrameWidth, NinthFrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
NinthBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

NinthButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Nin"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(NinthBox,0,0,0,0) 

NinthCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(NinthBox, 20, 0, 0, 0)

NinthBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    NinthButton.Visible = GuidesVisibility -- display or undisplay Button
    NinthCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if NinthCheck.Text ==  "o" then
		NinthFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

NinthButton.Action = (function()
        return
            function()
              display_Ninth = not display_Ninth
                if display_Ninth then
                    NinthFrame.Visible = true                     
                    NinthCheck.Text = "o"
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")
                 else          
                    NinthFrame.Visible = false                   
                    NinthCheck.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point") 
                end
            end
        end) ()
-------------------------------
NinthFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
     :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-NinthFrameWidth)/2, height-NinthFrameHeight-2, (width-NinthFrameWidth)/2, 2)

 NinthFrame.Customdraw = function(this) 

            if  Ninth_firstTickDone then
            if not(NinthCloseButtonDone) then
                NinthCloseButtonDone = true
                makeCloseButton(NinthCloseButton, NinthFrame, NinthButton)
            end
            else
                Ninth_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height               
               if height>=768  then 
                    NinthFrame:attach(screenBox, width-NinthFrameWidth-36, height-NinthFrameHeight-128-27, 36, 128+27) 
               else
                    NinthFrame:attach(screenBox, width-NinthFrameWidth-200, height-NinthFrameHeight-3, 200, 3) 
               end                 
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({1,0,1,0.8}) 
	    textlayout:setpos(this.lb+30, this.tb - 14)       
            textlayout:println(_("Search Ninth Planet"))
end

--=================
-- Подключение команд 
--=================
Nin101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 2, 2+14*(gg-1), 72, 5+14*1)
-------------------------------
Nin102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color4)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sedna.03"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-2),  72, 5+14*2)

Nin102Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Sedna")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(smallfont) 
    :textcolor(color1)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 VN112"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-3),  72, 5+14*3)

Nin103Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 VN112")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 TG422"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-4),  72, 5+14*4)

Nin104Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2007 TG422")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(smallfont) 
    :textcolor(color1)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 GB174"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-5),  72, 5+14*5)

Nin105Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 GB174")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color4)     
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 VP113"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-6),  72, 5+14*6)

Nin106Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2012 VP113")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 FT28"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-7),  72, 5+14*7)

Nin107Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 FT28")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(smallfont) 
    :textcolor(color1)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 RF98"))
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-8),  72, 5+14*8)

Nin108Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 RF98")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color53)
    :textfont(smallfont) 
    :textcolor(color1)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 SY99"))
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-9),  72, 5+14*9)

Nin109Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 SY99")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2014 FE72"))
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-10),  72, 5+14*10)

Nin110Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2014 FE72")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)              
            end            
        end
    end) ()
-------------------------------
Nin111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2014 SR349"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-11),  72, 5+14*11)

Nin111Box.Action = (function()
    return 
        function()
           local obj = celestia:find("Sol/2014 SR349") 
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true) 
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
--------------------------------
Nin112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Caju.15"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-12),  72, 5+14*12)

Nin112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 BP519")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400) 
            radians = math.rad(60)
            obs:setfov(radians)             
            end            
        end
    end) ()
-------------------------------
Nin113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 GT50"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-13),  72, 5+14*13)

Nin113Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 GT50")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 KG163"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-14),  72, 5+14*14)

Nin114Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 KG163")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------
Nin115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 RX245"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-15),  72, 5+14*15)

Nin115Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 RX245")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
--------------------------------
Nin116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 TG387 - Goblin"))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-16),  72, 5+14*16)

Nin116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2015 TG387")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)              
            end            
        end
    end) ()
---------------------------------
Nin117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2018 VG18 - Farout"))  
    :movable(false)
    :active(true)  
    :attach(NinthFrame, 2, 2+14*(gg-17),  72, 5+14*17)

Nin117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2018 VG18")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Nin118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(true)  
    :attach(NinthFrame, 2, 2+14*(gg-18),  72, 5+14*18)

Nin118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100000)              
            end            
        end
    end) ()
---------------------------------
Nin119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(NinthFrame, 2, 2+14*(gg-19),  72, 5+14*19)

Nin119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
--------------------------------
Nin120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("")) 
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-20),  72, 5+14*20)

Nin120Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-----------------------------------
Nin121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("9. Planet NINE"))
    :movable(false)
    :active(true)	
	:attach(NinthFrame, 2, 2+14*(gg-21),  72, 5+14*21)

Nin121Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Planet Nine")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Nin122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)    
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-22),  72, 5+14*22)

Nin122Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Nin123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-23),  72, 5+14*23)

Nin123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Nin124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))  
    :movable(false)
    :active(true)  
    :attach(NinthFrame, 2, 2+14*(gg-24),  72, 5+14*24)

Nin124Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
---------------------------------
Nin125Box = CXBox:new()
    :init(0, 0, 0, 0)
  --  :bordercolor(cbubordoff)
  --  :fillcolor(color83)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Other asteroids:")) 
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-25),  72, 5+14*25)
---------------------------------
Nin126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-26),  72, 5+14*26)

Nin126Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)              
            end            
        end
    end) ()
-----------------------------	
Nin127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chaos.1998"))  
    :movable(false)
    :active(true)  
    :attach(NinthFrame, 2, 2+14*(gg-27),  72, 5+14*27)

Nin127Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Chaos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)              
            end            
        end
    end) ()

-----------------------------
Nin128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ixion.01"))
    :movable(false)
    :active(true)
    :attach(NinthFrame, 2, 2+14*(gg-28),  72, 5+14*28)

Nin128Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/Ixion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()	
--------------------------------
Nin129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Varuna.00"))  
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-29),  72, 5+14*29)

Nin129Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 WR106")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)              
            end            
        end
    end) ()
--------------------------------
Nin130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-30),  72, 5+14*30)
-------------------------------
Nin131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-31),  72, 5+14*31)
-------------------------------	
Nin132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-32),  72, 5+14*32)
----------------------------	
Nin133Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)	
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 2, 2+14*(gg-33), 72, 5+14*33) 
---------------------------------
Nin134Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)	
    :textfont(normalfont)
    :textcolor({1,0,1,0.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 2, 2+14*(gg-34), 72, 5+14*34)	
----------------------------------
Nin135Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-35), 72, 5+14*35)
	
Nin135Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then 
			   celestia:setstarstyle("fuzzy")
			   celestia:seturl("")
			   celestia:setambient (0.5)			
            end 
			  -- celestia:setstarstyle("point")			
        end
    end) ()	
-------------------------------
Nin136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-36),  72, 5+14*36)

Nin136Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()
--------------------------------
Nin137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("")) 
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-37),  72, 5+14*37)

Nin137Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            radians = math.rad(90)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()
----------------------------------------
Nin138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("")) 
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-38),  72, 5+14*38)

Nin138Box.Action = (function()
    return 
        function()
            local obj = celestia:find("")  
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------------------	
Nin139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-39),  72, 5+14*39)

Nin139Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()
-------------------------------------------	
Nin140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-40),  72, 5+14*40)

Nin140Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()	
-------------------------------------------	
Nin141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NinthFrame, 2, 2+14*(gg-41),  72, 5+14*41)

Nin141Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200)              
            end            
        end
    end) ()	
--================
Nin201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
    :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 93+1+6, 2+14*(gg-1), 2, 5+14*1)
-------------------------------
Nin202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~899/~995"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-2), 2, 5+14*2)
-------------------------------
Nin203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~583/~222"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-3), 2, 5+14*3) 
-------------------------------
Nin204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~908/~255"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-4), 2, 5+14*4)
-------------------------------
Nin205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~679/~222"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-5), 2, 5+14*5)
-------------------------------
Nin206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~431/~702"))  
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-6), 2, 5+14*6) 
--------------------------------
Nin207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~581/~202"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-7), 2, 5+14*7)
--------------------------------
Nin208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~662/~81"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-8), 2, 5+14*8) 
--------------------------------
Nin209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1296/~202"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-9), 2, 5+14*9)
--------------------------------
Nin210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~3829/~255")) 
    :movable(false)
    :active(false)    
    :attach(NinthFrame, 100, 2+14*(gg-10), 2, 5+14*10)
--------------------------------
Nin211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color91)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~540/~202"))        
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-11), 2, 5+14*11) 
-------------------------------
Nin212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~826/~550"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-12), 2, 5+14*12) 
-------------------------------
Nin213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~631/~88"))
    :movable(false)
    :active(false)   
    :attach(NinthFrame, 100, 2+14*(gg-13), 2, 5+14*13)
-------------------------------
Nin214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1581/~101"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-14), 2, 5+14*14) 
-------------------------------
Nin215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~779/~255"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-15), 2, 5+14*15) 
-------------------------------
Nin216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2039/~300"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-16), 2, 5+14*16) 
--------------------------------
Nin217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false)  
    :attach(NinthFrame, 100, 2+14*(gg-17), 2, 5+14*17) 
--------------------------------
Nin218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
Nin219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-19), 2, 5+14*19)
-------------------------------------
Nin220Box= CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-20), 2, 5+14*20)
---------------------------------
Nin221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")   
    :movetext(-3, 9)
    :text(_("~948/~45200"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-21), 2, 5+14*21)
---------------------------------
Nin222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-22), 2, 5+14*22)
---------------------------------
Nin223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))        
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-23), 2, 5+14*23)
---------------------------------
Nin224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~")) 
    :movable(false)
    :active(false)   
    :attach(NinthFrame, 100, 2+14*(gg-24), 2, 5+14*24)
---------------------------------
Nin226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-26), 2, 5+14*26)	
---------------------------------
Nin227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,9/~600"))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-27), 2, 5+14*27)
---------------------------------
Nin228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,0/~617"))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-28), 2, 5+14*28)
---------------------------------
Nin229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,4/~859"))
    :movable(false)
    :active(false)	
    :attach(NinthFrame, 100, 2+14*(gg-29), 2, 5+14*29)
-----------------------------------------
Nin230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-30), 2, 5+14*30)
---------------------------------
Nin231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-31), 2, 5+14*31)
---------------------------------
Nin232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
Nin233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
Nin234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-34), 2, 5+14*34)
---------------------------------
Nin235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)
    :attach(NinthFrame, 100, 2+14*(gg-35), 2, 5+14*35)
---------------------------------
	Nin236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~/~"))
    :movable(false)
    :active(false)   
    :attach(NinthFrame, 100, 2+14*(gg-36), 2, 5+14*36) 
-------------------------------	
Nin237Box = CXBox:new()	
    :init(0, 0, 0, 0)	
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~7/~"))
    :movable(false)
    :active(false)   
    :attach(NinthFrame, 100, 2+14*(gg-37), 2, 5+14*37)
--------------------------------	
Nin238Box = CXBox:new()
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(" /~"))
    :movable(false)
    :active(false)	
    :attach(NinthFrame, 100, 2+14*(gg-38), 2, 5+14*38)
--------------------------------
Nin239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-39), 2, 5+14*39)
-----------------------------------------
Nin240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-40), 2, 5+14*40)
-----------------------------------------
Nin241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NinthFrame, 100, 2+14*(gg-41), 2, 5+14*41)
-----------------------------------------















	