---------------------------------------------
-- Troyan1Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local Troyan1FrameWidth, Troyan1FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Troyan1Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Troyan1Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tr1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Troyan1Box,0,0,0,0)

Troyan1Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Troyan1Box, 20, 0, 0, 0)

Troyan1Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Troyan1Button.Visible = GuidesVisibility -- display or undisplay Button
    Troyan1Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Troyan1Check.Text ==  "o" then
		Troyan1Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Troyan1Button.Action = (function()
        return
            function()

                display_Troyan1 = not display_Troyan1
                if display_Troyan1 then  
                    Troyan1Frame.Visible = true                     
                    Troyan1Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Troyan1Frame.Visible = false                   
                    Troyan1Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
Troyan1Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Troyan1FrameWidth)/2, height-Troyan1FrameHeight-2, (width-Troyan1FrameWidth)/2, 2)

 Troyan1Frame.Customdraw = function(this) 

            if Troyan1_firstTickDone then
            if not(Troyan1CloseButtonDone) then
                Troyan1CloseButtonDone = true
                makeCloseButton(Troyan1CloseButton, Troyan1Frame, Troyan1Button)
            end
            else
                Troyan1_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    Troyan1Frame:attach(screenBox, width-Troyan1FrameWidth-36, height-Troyan1FrameHeight-128-27, 36, 128+27) 
               else
                    Troyan1Frame:attach(screenBox, width-Troyan1FrameWidth-200, height-Troyan1FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 15, this.tb - 14)       
            textlayout:println(_("Jupiter. Named Trojans-1:"))
end
--====================
-- Подключение команд 
--====================
tr1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Acamas"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-1), 86, 5+14*1)

tr1101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Acamas")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()

-------------------------------
tr1102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Achaemenides "))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-2), 86, 5+14*2)

tr1102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Achaemenides")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr1103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Achates"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-3), 86, 5+14*3)

tr1103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Achates")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Achilles"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-4), 86, 5+14*4)

tr1104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Achilles")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Actor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-5), 86, 5+14*5)

tr1105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Actor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Admetos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-6), 86, 5+14*6)

tr1106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Admetos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agamemnon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-7), 86, 5+14*7)

tr1107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agamemnon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agapenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-8), 86, 5+14*8)

tr1108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agapenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agasthenes"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-9), 86, 5+14*9)

tr1109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agasthenes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agastrophus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-10), 86, 5+14*10)

tr1110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agastrophus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
tr1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agathon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-11), 86, 5+14*11)

tr1111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agathon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agelaos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-12), 86, 5+14*12)

tr1112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agelaos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-13), 86, 5+14*13)

tr1113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Agrius"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-14), 86, 5+14*14)

tr1114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Agrius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aigyptios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-15), 86, 5+14*15)

tr1115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aigyptios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aisakos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-16), 86, 5+14*16)

tr1116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aisakos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aisymnos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-17), 86, 5+14*17)

tr1117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aisymnos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ajax"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-18), 86, 5+14*18)

tr1118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ajax")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alastor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-19), 86, 5+14*19)

tr1119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alastor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alcathous"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-20), 86, 5+14*20)

tr1120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alcathous")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alcimedon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-21), 86, 5+14*21)

tr1121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alcimedon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alcinoos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-22), 86, 5+14*22)

tr1122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alcinoos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alkimos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-23), 86, 5+14*23)

tr1123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alkimos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(1050)
            end
        end
    end) ()
-------------------------------
tr1124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amphiaraos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-24), 86, 5+14*24)

tr1124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amphiaraos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr1125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amphilochos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-25), 86, 5+14*25)

tr1125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amphilochos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amphimachus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-26), 86, 5+14*26)

tr1126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amphimachus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amphios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-27), 86, 5+14*27)

tr1127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amphios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anchialos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-28), 86, 5+14*28)

tr1128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anchialos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anchises"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-29), 86, 5+14*29)

tr1129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anchises")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Andraimon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-30), 86, 5+14*30)

tr1130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Andraimon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Androgeos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-31), 86, 5+14*31)

tr1131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Androgeos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aneas"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-32), 86, 5+14*32)

tr1132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aneas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anius"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-33), 86, 5+14*33)

tr1133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ankaios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-34), 86, 5+14*34)

tr1134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ankaios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-35), 86, 5+14*35)

tr1135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anticlus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-36), 86, 5+14*36)

tr1136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anticlus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antilochus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-37), 86, 5+14*37)

tr1137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antilochus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr1138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antimachos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-38), 86, 5+14*38)

tr1138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antimachos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Antiphos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-39), 86, 5+14*39)

tr1139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Antiphos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Apisaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 2, 2+14*(gg-40), 86, 5+14*40)

tr1140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Apisaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan1Frame, 2, 2+14*(gg-41), 86, 5+14*41)

tr1141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
tr201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Archeptolemos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-1), 2, 5+14*1)

tr201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Archeptolemos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aretaon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-2), 2, 5+14*2)

tr202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Aretaon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr1203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Arkesilaos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-3), 2, 5+14*3)

tr1203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Arkesilaos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ascanios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-4), 2, 5+14*4)

tr1204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ascanios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-5), 2, 5+14*5)

tr1205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Asios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Askalaphus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-6), 2, 5+14*6)

tr1206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Askalaphus")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
-------------------------------
tr1207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteropaios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-7), 2, 5+14*7)

tr1207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Asteropaios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Astyanax"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-8), 2, 5+14*8)

tr1208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Astyanax")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Atreus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-9), 2, 5+14*9)

tr1209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Atreus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr1210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Augeias"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-10), 2, 5+14*10)

tr1210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Augeias")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
-------------------------------
tr1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Automedon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-11), 2, 5+14*11)

tr1211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Automedon")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) () 
-------------------------------
tr1212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Balios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
tr1212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Balios")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()	
-------------------------------
tr1213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bitias"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-13), 2, 5+14*13)
	
tr1213Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Bitias")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()	
-------------------------------
tr1214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Boucolion"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-14), 2, 5+14*14)

tr1214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/Boucolion")    
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(600)
            end
        end
    end) ()
-------------------------------
tr1215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Capys"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-15), 2, 5+14*15)

tr1215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Capys")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cebriones"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-16), 2, 5+14*16)

tr1216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cebriones")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) () 
-------------------------------
tr1217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Chromios"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-17), 2, 5+14*17)

tr1217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Chromios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) () 
-------------------------------
tr1218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cloanthus"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-18), 2, 5+14*18)

tr1218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cloanthus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
tr1219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Clymene"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-19), 2, 5+14*19)

tr1219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Clymene")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cycnos"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-20), 2, 5+14*20)

tr1220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cycnos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Daitor"))
    :movable(false)
    :active(true) 
  :attach(Troyan1Frame, 86, 2+14*(gg-21), 2, 5+14*21) 

tr1221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Daitor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dardanos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-22), 2, 5+14*22)

tr1222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dardanos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dares"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-23), 2, 5+14*23) 

tr1223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dares")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Deikoon"))        
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-24), 2, 5+14*24) 

tr1224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Deikoon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Deiphobus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-25), 2, 5+14*25)

tr1225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Deiphobus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr1226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Deipylos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-26), 2, 5+14*26) 

tr1226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Deipylos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
--------------------------------
tr1227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Demodokus"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-27), 2, 5+14*27) 

tr1227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Demodokus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) () 
--------------------------------
tr1228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Demoleon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-28), 2, 5+14*28)

tr1228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Demoleon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()  
-------------------------------
tr1229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Demophon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-29), 2, 5+14*29) 

tr1229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Demophon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Diomedes"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-30), 2, 5+14*30) 

tr1230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Diomedes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------
tr1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dius"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-31), 2, 5+14*31) 

tr1231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dius")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dolios"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-32), 2, 5+14*32) 

tr1232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dolios")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr1233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dolon"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-33), 2, 5+14*33) 

tr1233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dolon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr1234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Dolops"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-34), 2, 5+14*34)

tr1234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Dolops")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr1235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Drymas"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-35), 2, 5+14*35) 

tr1235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Drymas")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(700)
            end
        end
    end) ()
-------------------------------
tr1236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echemmon"))
    :movable(false)
    :active(true) 
   :attach(Troyan1Frame, 86, 2+14*(gg-36), 2, 5+14*36) 

tr1236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Echemmon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echepolos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-37), 2, 5+14*37) 

tr1237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Echepolos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr1238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Echion"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-38), 2, 5+14*38)

tr1238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Echion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
------------------------------- 
tr1239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Elephenor"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-39), 2, 5+14*39)

tr1239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Elephenor")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
--------------------------------
tr1240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ennomos"))
    :movable(false)
    :active(true) 
    :attach(Troyan1Frame, 86, 2+14*(gg-40), 2, 5+14*40)
	
tr1240Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ennomos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()	
-------------------------------
tr1241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan1Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
