---------------------------------------------
-- Troyan4Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale"
require "closeButton"
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight
local gn=42
local gg=gn-1
local Troyan4FrameWidth, Troyan4FrameHeight = 170, 14*gn+4
local obs = celestia:getobserver()
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Troyan4Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

Troyan4Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Tr4"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Troyan4Box,0,0,0,0)

Troyan4Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Troyan4Box, 20, 0, 0, 0)

Troyan4Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Troyan4Button.Visible = GuidesVisibility -- display or undisplay Button
    Troyan4Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Troyan4Check.Text ==  "o" then
		Troyan4Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Troyan4Button.Action = (function()
        return
            function()

                display_Troyan4 = not display_Troyan4
                if display_Troyan4 then  
                    Troyan4Frame.Visible = true                     
                    Troyan4Check.Text = "o" 
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")                     
                else          
                    Troyan4Frame.Visible = false                   
                    Troyan4Check.Text = ""
                    celestia:seturl("cel://Follow/Sol:Earth/2018-08-30T01:33:09.98159?x=qNQ6ImMQAf///////////w&y=EP9xrYdu&z=MHPOzLVRt////////////w&ow=0.602419&ox=0.00489157&oy=0.798161&oz=-0.00267168&select=Sol:Earth&fov=36.4986&ts=1&ltd=0&p=0&rf=2098579&lm=2178&tsrc=0&ver=3")					
                    celestia:show("stars")
                    celestia:setstarstyle("point")	
                end
            end
        end) ()               
----------------------------------------------------
Troyan4Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Troyan4FrameWidth)/2, height-Troyan4FrameHeight-2, (width-Troyan4FrameWidth)/2, 2)

 Troyan4Frame.Customdraw = function(this) 

            if Troyan4_firstTickDone then
            if not(Troyan4CloseButtonDone) then
                Troyan4CloseButtonDone = true
                makeCloseButton(Troyan4CloseButton, Troyan4Frame, Troyan4Button)
            end
            else
                Troyan4_firstTickDone = true            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height 
               if height>=768  then              
                    Troyan4Frame:attach(screenBox, width-Troyan4FrameWidth-36, height-Troyan4FrameHeight-128-27, 36, 128+27) 
               else
                    Troyan4Frame:attach(screenBox, width-Troyan4FrameWidth-200, height-Troyan4FrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont)
            textlayout:setfontcolor({0,1,0,0.8})     
	    textlayout:setpos(this.lb + 2, this.tb - 14)       
            textlayout:println(_("Jupiter. Named Trojans-4, etc.:"))
end
--====================
-- Подключение команд 
--====================
tr4101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thoas"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-1), 86, 5+14*1)

tr4101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thoas")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr4102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thrasymedes"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-2), 86, 5+14*2)

tr4102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thrasymedes")           
            celestia:select(obj)
            local sel = celestia:getselection()          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(800)
            end
        end
    end) ()
-------------------------------
tr4103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thyestes"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-3), 86, 5+14*3)

tr4103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thyestes")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr4104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thymoitos"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-4), 86, 5+14*4)

tr4104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thymoitos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr4105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tithonus"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-5), 86, 5+14*5)

tr4105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tithonus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr4106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tlepolemos"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-6), 86, 5+14*6)

tr4106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tlepolemos")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr4107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Troilus"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-7), 86, 5+14*7)

tr4107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Troilus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(2000)
            end
        end
    end) ()
-------------------------------
tr4108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tros"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-8), 86, 5+14*8)

tr4108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tros")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr4109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tydeus"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-9), 86, 5+14*9)

tr4109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tydeus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr4110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tyndareus"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-10), 86, 5+14*10)

tr4110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tyndareus")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()	
-------------------------------
tr4111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-11), 86, 5+14*11)

tr4111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr4112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-12), 86, 5+14*12)

tr4112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(10000)
            end
        end
    end) ()
-------------------------------
tr4113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont) 
    :textcolor({0,1,0,0.8}) 
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Uranus. All Trojans."))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-13), 2, 5+14*13)
-------------------------------
tr4114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 QF99"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-14), 86, 5+14*14)

tr4114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 QF99")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-15), 86, 5+14*15)

tr4115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-16), 86, 5+14*16)

tr4116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(normalfont) 
    :textcolor({0,1,0,0.8})
    :textpos("left")    
    :movetext(10, 9)
    :text(_("Neptune. All Trojans."))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-17), 2, 5+14*17)
-------------------------------
tr4118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 QR322"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-18), 86, 5+14*18)

tr4118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 QR322")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Otrera"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-19), 86, 5+14*19)

tr4119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Otrera")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) ()
-------------------------------
tr4120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 TN53"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-20), 86, 5+14*20)

tr4120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 TN53")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2005 TO74"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-21), 86, 5+14*21)

tr4121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 TO74")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
-------------------------------
tr4122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2006 RJ103"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-22), 86, 5+14*22)

tr4122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 RJ103")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel) 
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr4123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2007 VL305"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-23), 86, 5+14*23)

tr4123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 VL305")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2008 LC18"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-24), 86, 5+14*24)

tr4124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 LC18")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2010 TS191"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-25), 86, 5+14*25)

tr4125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 TS191")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2010 TT191"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-26), 86, 5+14*26)

tr4126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 TT191")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 HM102"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-27), 86, 5+14*27)

tr4127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 HM102")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 SO277"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-28), 86, 5+14*28)

tr4128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 SO277")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2011 WG157"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-29), 86, 5+14*29)

tr4129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 WG157")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2012 UV177"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-30), 86, 5+14*30)

tr4130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2012 UV177")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2013 KY18"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-31), 86, 5+14*31)

tr4131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 KY18")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2013 VX30"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-32), 86, 5+14*32)

tr4132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 VX30")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr4133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2014 QO441"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-33), 86, 5+14*33)

tr4133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 QO441")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2014 QP441"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-34), 86, 5+14*34)

tr4134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 QP441")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2014 UU240"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-35), 86, 5+14*35)

tr4135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2014 UU240")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr4136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 RW277"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-36), 86, 5+14*36)

tr4136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 RW277")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(500)
            end
        end
    end) ()
-------------------------------
tr4137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 VV165"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-37), 86, 5+14*37)

tr4137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 VV165")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr4138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 VW165"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-38), 86, 5+14*38)

tr4138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 VW165")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(1000)
            end
        end
    end) ()
-------------------------------
tr4139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2015 VX165"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 2, 2+14*(gg-39), 86, 5+14*39)

tr4139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2015 VX165")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr4140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-40), 86, 5+14*40)

tr4140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(50)
            end
        end
    end) ()
-------------------------------
tr4141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 2, 2+14*(gg-41), 86, 5+14*41)

tr4141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then               
			   obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(150)
            end
        end
    end) ()
--====================================
tr4201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ukalegon"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-1), 2, 5+14*1)

tr4201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ukalegon")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(300)
            end
        end
    end) () 
-------------------------------
tr4202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ulysses"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-2), 2, 5+14*2)

tr4202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ulysses (asteroid)")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(700)
            end
        end
    end) () 
-------------------------------
tr4203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Yperion"))
    :movable(false)
    :active(true) 
    :attach(Troyan4Frame, 86, 2+14*(gg-3), 2, 5+14*3)

tr4203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Yperion")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(400)
            end
        end
    end) ()
-------------------------------
tr4204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   --:fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-4), 2, 5+14*4)

tr4204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr4205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-5), 2, 5+14*5)

tr4205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr4206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-6), 2, 5+14*6)

tr4206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(75)
            end
        end
    end) () 
-------------------------------
tr4207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-7), 2, 5+14*7)

tr4207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(250)
            end
        end
    end) ()
-------------------------------
tr4208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-8), 2, 5+14*8)

tr4208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
             celestia:settimescale(100)
            end
        end
    end) ()
-------------------------------
tr4209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-9), 2, 5+14*9)

tr4209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) ()
-------------------------------
tr4210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-10), 2, 5+14*10)

tr4210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/")           
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(200)
            end
        end
    end) () 
-------------------------------
tr4211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-11), 2, 5+14*11)

tr4211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) () 
-------------------------------
tr4212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-12), 2, 5+14*12)
	
tr4212Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/")            
            celestia:select(obj)
            local sel = celestia:getselection()
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel)
               obs:goto(sel)
            celestia:settimescale(100)
            end
        end
    end) ()	
-------------------------------
tr4214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~51"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-14), 2, 5+14*14)
-------------------------------
tr4215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-15), 2, 5+14*15)
-------------------------------
tr4216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-16), 2, 5+14*16)
-------------------------------
tr4218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~156"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-18), 2, 5+14*18)
-------------------------------
--[[
tr4219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~"))
    :movable(false)
    :active(false) 
   :attach(Troyan4Frame, 86, 2+14*(gg-19), 2, 5+14*19)
]]
-------------------------------
tr4219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~76"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-19), 2, 5+14*19)
-------------------------------
tr4220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~70"))
    :movable(false)
    :active(false) 
  :attach(Troyan4Frame, 86, 2+14*(gg-20), 2, 5+14*20) 
-------------------------------
tr4221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~88"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-21), 2, 5+14*21)
-------------------------------
tr4222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~139"))
    :movable(false)
    :active(false) 
   :attach(Troyan4Frame, 86, 2+14*(gg-22), 2, 5+14*22) 
-------------------------------
tr4223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~111"))        
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-23), 2, 5+14*23) 
-------------------------------
tr4224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~92"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-24), 2, 5+14*24)
-------------------------------
--[[
tr4226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L3 ~"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-26), 2, 5+14*26) 
]]
--------------------------------
tr4225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~116"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-25), 2, 5+14*25) 
--------------------------------
tr4226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~116"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-26), 2, 5+14*26)
-------------------------------
tr4227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~106"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------
tr4228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~133"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-28), 2, 5+14*28) 
-------------------------------
tr4229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~167"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-29), 2, 5+14*29) 
-------------------------------
tr4230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~64"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-30), 2, 5+14*30) 
-------------------------------
tr4231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~210"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-31), 2, 5+14*31) 
-------------------------------
tr4232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~92"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-32), 2, 5+14*32) 
-------------------------------
tr4233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~96"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-33), 2, 5+14*33)
-------------------------------
tr4234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~61"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-34), 2, 5+14*34) 
-------------------------------
tr4235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~92"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-35), 2, 5+14*35) 
-------------------------------
tr4236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~50"))
    :movable(false)
    :active(false) 
   :attach(Troyan4Frame, 86, 2+14*(gg-36), 2, 5+14*36) 
-------------------------------
tr4237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~90"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-37), 2, 5+14*37) 
-------------------------------
tr4238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~130"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-38), 2, 5+14*38)
------------------------------- 
tr4239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~90"))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-39), 2, 5+14*39)
--------------------------------
tr4240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  --   :fillcolor(color82)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-40), 2, 5+14*40)
-------------------------------
tr4241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  --   :fillcolor(color82)	
    :textfont(smallfont)
    :textcolor(color1) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Troyan4Frame, 86, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
